#include <stdio.h>
#include <signal.h>

int main(void)
{
  sigset_t set, oldset;
  int i;
  
  sigemptyset(&set);
  sigprocmask(SIG_BLOCK, &set, &oldset);
  for (i = 1; i <= SIGRTMAX; i++) {
    if (sigismember(&oldset, i)) {
      printf("%d\n", i);
    }
  }
  return 0;
}
